/*
 * mjpegserver - simulates multiple network camera vendor/models
 * Copyright (C) 2005  Christopher M. Price
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#define CR "\r"
#define LF "\n"

struct netcam_t {
    int id;                     /* unique camera identifier */
    char *name;                 /* camera vendor / models */
    char *header_http;          /* http header string */
    char *header_image;         /* mime/image string */
    char *header_image_sep;     /* seperator between image and header_image */
} netcam[] = {
    {
	0, "D-Link DCS-900/DCS-900W",

	    /* http header */
	
        "HTTP/1.0 200 OK" LF \
	"Server: Camera Web Server/1.0" CR LF \
	"Auther: Steven Wu" CR LF \
	"MIME-version: 1.0" CR LF \
	"Cache-Control: no-cache" CR LF \
	"Content-Type:multipart/x-mixed-replace;boundary=--video boundary--" \
	CR LF,

            /* mime/image header */
	    
        CR LF \
	"--video boundary--" CR LF \
	"Content-length: %d" CR LF \
	"Content-type: image/jpeg" CR LF \
        CR LF,
       
            /* image header seperator - occurs after image is dumped */
            
        CR LF

    }, {
    
        1, "Axis 205/211/2100/2110",
	    
            /* http header */
	
        "HTTP/1.0 200 OK" CR LF
        "Cache-Control: no-cache" CR LF
        "Pragma: no-cache" CR LF
	"Expires: Thu, 01 Dec 1994 16:00:00 GMT" CR LF
	"Connection: close" CR LF
	"Content-Type: multipart/x-mixed-replace;boundary=--myboundary"
	CR LF
        CR LF,
	    
            /* mime/image header */
	    
        "--myboundary" CR LF
        "Content-Type: image/jpeg" CR LF
	"Content-Length: %d" CR LF CR LF,

            /* image header seperator - occurs after image is dumped */
            
        CR LF

    }, {-1, NULL, NULL, NULL, NULL}
};
